mqc.h File Reference
`#include <t1_common.h>`
`#include "mqc_inl.h"`
`#include "mqc_dec_inl.h"`
`#include "mqc_enc_inl.h"`

Go to the source code of this file.

## Classes

struct | grk::mqc_state
struct | grk::mqcoder

## Namespaces

namespace | grk
| Copyright (C) 2016-2023 Grok Image Compression Inc.

## Macros

#define | MQC_NUMCTXS 19

## Functions

uint32_t | grk::mqc_numbytes_enc (mqcoder *mqc)
void | grk::mqc_resetstates (mqcoder *mqc)
void | grk::mqc_init_enc (mqcoder *mqc, uint8_t *bp)
void | grk::mqc_encode (mqcoder *mqc, uint32_t d)
void | grk::mqc_flush_enc (mqcoder *mqc)
void | grk::mqc_bypass_init_enc (mqcoder *mqc)
uint32_t | grk::mqc_bypass_get_extra_bytes_enc (mqcoder *mqc, bool erterm)
void | grk::mqc_bypass_enc (mqcoder *mqc, uint32_t d)
void | grk::mqc_bypass_flush_enc (mqcoder *mqc, bool erterm)
void | grk::mqc_restart_init_enc (mqcoder *mqc)
void | grk::mqc_erterm_enc (mqcoder *mqc)
void | grk::mqc_segmark_enc (mqcoder *mqc)
void | grk::mqc_init_dec (mqcoder *mqc, uint8_t *bp, uint32_t len)
| Initialize the decoder for MQ decoding.
void | grk::mqc_raw_init_dec (mqcoder *mqc, uint8_t *bp, uint32_t len)
| Initialize the decoder for RAW decoding.
void | grk::mqc_finish_dec (mqcoder *mqc)
| Terminate RAW/MQC decoding.

## Variables

const uint32_t | grk::A_MIN = 0x8000

## Macro Definition Documentation

## MQC_NUMCTXS

#define MQC_NUMCTXS 19